Summary: sortspam - simple spamassassin-aware mail filter
%define name sortspam
Name: %{name}
%define version 1.1.0
%define release 05sme02
Version: %{version}
Release: %{release}
License: GPL
Group: System Enviornment/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: sortspam-1.1.0-02.mitel_patch
Patch1: sortspam-1.1.0-03.mitel_patch
Patch2: sortspam-1.1.0-04.mitel_patch
Patch3: sortspam-1.1.0-05sme02.qmail-spamc_patch
Requires: dietlibc, safecat
BuildRequires: dietlibc
BuildRoot: %{_tmppath}/%{name}-root
%description

The sortspam RPM contains a few tools which can be used with spamassassin
to efficiently sort spam. qmail-spamc is a qmail-queue wrapper which uses
spamc to pass messages through spamd to be tagged with spamassassin
headers. sortspam is a local delivery agent which delivers to one of two
Maildirs based on the presence or absence of spam marker headers.

%changelog
* Mon Dec 20 2004 Shad L. Lords <slords@mail.com>
- [1.1.0-05sme02]
- Fix bug with latest qmail-spamc

* Sun Dec 18 2004 Shad L. Lords <slords@mail.com>
- [1.1.0-05sme01]
- Update to latest qmail-spamc from spamassassin-3.0.1

* Wed Feb 25 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-05]
- Fixed failure to pick up doc references.

* Wed Feb 18 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-04]
- Changes as a result of a code-review:
- Several instances of fprintf(stderr, better written as perror()
- Missing else clause if child process fails.
- Completely redundant message size test.
- Added intelligent while condition in find_str's for loop.

* Wed Feb 18 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-03]
- Woke up to my own code and added a fork/exec that should actually work. Also
  removed the redundant while condition in the for loop, and added various
  tweaks. [msoulier dpar-20868]

* Tue Feb 17 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-02]
- Modifying behaviour to exit 99 for spam, and do nothing if ham. In this
  way, we let the user's .qmail file determine delivery of ham.
  [msoulier dpar-20868]

* Tue Feb 17 2004 Michael Soulier <msoulier@e-smith.com>
- [1.1.0-01]
- rolling to dev - 1.1.0

* Tue Feb 17 2004 Michael Soulier <msoulier@e-smith.com>
- [1.0.1-01]
- Confirming good import by building rpm. [msoulier]

* Thu May 08 2003 Charlie Brady <charlieb@e-smith.com> 1.0.0-01
- Initial

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
diet -Os gcc -I/usr/local/bglibs/include -O2 -o sortspam src/sortspam.c
diet -Os gcc -I/usr/local/bglibs/include -DHAVE_QMAIL_RELAYCLIENT -O2 -o qmail-spamc src/qmail-spamc.c

%install
mkdir -p $RPM_BUILD_ROOT/var/qmail/bin
install qmail-spamc $RPM_BUILD_ROOT/var/qmail/bin
install sortspam $RPM_BUILD_ROOT/var/qmail/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/var/qmail/bin/*
%doc README.qmail-spamc
%doc COPYING
